// ChildView.cpp : implementation of the CChildView class
//

// We'll handle here the commands of the Outbar. They are sent just as menu and toolbar commands are, so they work in the same exact way.


#include "stdafx.h"
#include "Outbar2_demo.h"
#include "ChildView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CChildView

CChildView::CChildView()
{

	iCategory = iView = 0;
	dwField = 0;
}

CChildView::~CChildView()
{
}


BEGIN_MESSAGE_MAP(CChildView, CWnd)
	ON_WM_PAINT()
	ON_COMMAND(ID_CATEGORIES_FRIEND, OnCategoriesFriend)
	ON_UPDATE_COMMAND_UI(ID_CATEGORIES_FRIEND, OnUpdateCategoriesFriend)
	ON_COMMAND(ID_CATEGORIES_PRIVATE, OnCategoriesPrivate)
	ON_UPDATE_COMMAND_UI(ID_CATEGORIES_PRIVATE, OnUpdateCategoriesPrivate)
	ON_COMMAND(ID_CATEGORIES_WORK, OnCategoriesWork)
	ON_UPDATE_COMMAND_UI(ID_CATEGORIES_WORK, OnUpdateCategoriesWork)
	ON_COMMAND(ID_FIELDS_ADDRESS, OnFieldsAddress)
	ON_UPDATE_COMMAND_UI(ID_FIELDS_ADDRESS, OnUpdateFieldsAddress)
	ON_COMMAND(ID_FIELDS_NAME, OnFieldsName)
	ON_UPDATE_COMMAND_UI(ID_FIELDS_NAME, OnUpdateFieldsName)
	ON_COMMAND(ID_FIELDS_PHONE, OnFieldsPhone)
	ON_UPDATE_COMMAND_UI(ID_FIELDS_PHONE, OnUpdateFieldsPhone)
	ON_COMMAND(ID_TEST_CREATENEWCONTACT, OnTestCreatenewcontact)
	ON_COMMAND(ID_TEST_IMPORTCONTACT, OnTestImportcontact)
	ON_COMMAND(ID_VIEW_CARDS, OnViewCards)
	ON_COMMAND(ID_VIEW_GRID, OnViewGrid)
	ON_COMMAND(ID_VIEW_LIST, OnViewList)
	ON_UPDATE_COMMAND_UI(ID_VIEW_LIST, OnUpdateViewList)
	ON_UPDATE_COMMAND_UI(ID_VIEW_CARDS, OnUpdateViewCards)
	ON_UPDATE_COMMAND_UI(ID_VIEW_GRID, OnUpdateViewGrid)
END_MESSAGE_MAP()



// CChildView message handlers

BOOL CChildView::PreCreateWindow(CREATESTRUCT& cs) 
{
	if (!CWnd::PreCreateWindow(cs))
		return FALSE;

	cs.dwExStyle |= WS_EX_CLIENTEDGE;
	cs.style &= ~WS_BORDER;
	cs.lpszClass = AfxRegisterWndClass(CS_HREDRAW|CS_VREDRAW|CS_DBLCLKS, 
		::LoadCursor(NULL, IDC_ARROW), reinterpret_cast<HBRUSH>(COLOR_WINDOW+1), NULL);

	return TRUE;
}

void CChildView::OnPaint() 
{
	CPaintDC dc(this); // device context for painting
	
	// TODO: Add your message handler code here
	
	// Do not call CWnd::OnPaint() for painting messages
}


void CChildView::OnCategoriesFriend()
{
	iCategory = 0;

}

void CChildView::OnUpdateCategoriesFriend(CCmdUI *pCmdUI)
{
	pCmdUI->SetCheck(iCategory == 0);
}

void CChildView::OnCategoriesPrivate()
{
	iCategory = 1;
}

void CChildView::OnUpdateCategoriesPrivate(CCmdUI *pCmdUI)
{
	pCmdUI->SetCheck(iCategory == 1);
}

void CChildView::OnCategoriesWork()
{
	iCategory = 2;
}

void CChildView::OnUpdateCategoriesWork(CCmdUI *pCmdUI)
{
	pCmdUI->SetCheck(iCategory == 2);
}

void CChildView::OnFieldsAddress()
{
	if (dwField & 1) dwField &=~1; else dwField |= 1;
}

void CChildView::OnUpdateFieldsAddress(CCmdUI *pCmdUI)
{
	pCmdUI->SetCheck(dwField&1);
}

void CChildView::OnFieldsName()
{
	if (dwField & 2) dwField &=~2; else dwField |= 2;
}

void CChildView::OnUpdateFieldsName(CCmdUI *pCmdUI)
{
	pCmdUI->SetCheck(dwField&2);
}

void CChildView::OnFieldsPhone()
{
	if (dwField & 4) dwField &=~4; else dwField |= 4;
}

void CChildView::OnUpdateFieldsPhone(CCmdUI *pCmdUI)
{
	pCmdUI->SetCheck(dwField&4);
}



void CChildView::OnTestCreatenewcontact()
{
	AfxMessageBox("New Contact ..");
}

void CChildView::OnTestImportcontact()
{
	AfxMessageBox("Do you wish to .. ?", MB_YESNO);
}




void CChildView::OnViewCards()
{
	iView = 0;
}

void CChildView::OnViewGrid()
{
	iView = 1;
}

void CChildView::OnViewList()
{
	iView = 2;
}

void CChildView::OnUpdateViewCards(CCmdUI *pCmdUI)
{
	pCmdUI->SetCheck(iView == 0);
}

void CChildView::OnUpdateViewGrid(CCmdUI *pCmdUI)
{
	pCmdUI->SetCheck(iView == 1);
}

void CChildView::OnUpdateViewList(CCmdUI *pCmdUI)
{
	pCmdUI->SetCheck(iView == 2);

}
